petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSectionCreateGlobalSection

Create a section describing the global field layout using the local section and an SF describing the section point overlap.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionCreateGlobalSection(PetscSection s, PetscSF sf, PetscBool includeConstraints, PetscBool localOffsets, PetscSection *gsection)

### Input Parameters

+ s - The PetscSection for the local field layout . sf - The SF describing parallel layout of the section points (leaves are unowned local points) . includeConstraints - By default this is PETSC_FALSE, meaning that the global field vector will not possess constrained dofs - localOffsets - If PETSC_TRUE, use local rather than global offsets for the points

### Output Parameter

. gsection - The PetscSection for the global field layout

Note: This gives negative sizes and offsets to points not owned by this process

### See Also

PetscSectionCreate()

Level:developer
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages